document.addEventListener('DOMContentLoaded', function () {
    function createLink(theme) {
        var css = document.createElement("link");
        css.setAttribute("href", "./css/" + theme + ".css");
        css.setAttribute("rel", "stylesheet");
        css.setAttribute("type", "text/css");
        return css;
    }

    if (localStorage.getItem('cs./api/3/actors/current') !== null) {
        var themeData = JSON.parse(localStorage.getItem('cs./api/3/actors/current'));
        var theme = themeData['@settings'].user.view.theme;
        if (theme === 'steel') {
            document.getElementsByTagName("head")[0].appendChild(createLink(theme));
        } else if (theme === 'dark') {
            document.getElementsByTagName("head")[0].appendChild(createLink(theme));
        } else {
            document.getElementsByTagName("head")[0].appendChild(createLink(theme));
        }
    }
});
